Package org.apache.maven.scm.providers.clearcase.settings.io.xpp3

## Interface ClearcaseXpp3Reader.ContentTransformer

Enclosing class:
  ClearcaseXpp3Reader

    public static interface ClearcaseXpp3Reader.ContentTransformer

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `transform​(java.lang.String source, java.lang.String fieldName)` Interpolate the value read from the xpp3 document

### Method Detail

#### transform

    java.lang.String transform​(java.lang.String source,
                               java.lang.String fieldName)

Interpolate the value read from the xpp3 document

Parameters:
  `source` - The source value
  `fieldName` - A description of the field being interpolated. The implementation may use this to log stuff.
Returns:
  The interpolated value.